#!/bin/bash

## installiert vim-latex-suite und aktiviert es entsprechend
## erzeugt passende .vimrc
## installiert zusätzliche nicht-freie Schriften

sudo apt-get install vim-addon-manage vim-latexsuite	# Paket installieren
vim-addons install latex-suite				# latex als vim-addon installieren/aktivieren

# -- passends Konfig-File erzeugen --
file=~/.vimrc

rm $file
touch $file

echo "filetype plugin on" >> $file
echo "set grepprg=grep\ -nH\ $*" >> $file
echo "filetype indent on" >> $file
echo "let g:tex_flavor='latex'" >> $file
# PDF per default erzeugen
echo "let g:Tex_DefaultTargetFormat='pdf'" >> $file
# Ausgabedateien in Unterordner bündeln; für \ll
echo "let g:Tex_CompileRule_pdf ='mkdir -p _out && pdflatex -output-directory=_out -interaction=nonstopmode $* && mv _out/$*.pdf .'"
# PDf-Viewer; für \ls
echo "let g:Tex_ViewRule_pdf='FoxitReader'"

# done!

# -- Schriften nachinstallieren --
# install script besorgen
wget http://tug.org/fonts/getnonfreefonts/install-getnonfreefonts

# script installieren
sudo texlua install-getnonfreefonts

# script ausführen und alle verfügbaren Schriften installieren lassen
getnonfreefonts -a

# script wieder löschen
rm install-getnonfreefonts
